<template>
    <div class="fullheight">
        <div class="content-top">
            <div class="header">
                <div>风机分组</div>
                <div class="header-right">
                    <div class="round"></div>
                    <div style="line-height: 30px">旗舰机</div>
                </div>
            </div>
            <!-- 风机分组icon,编号 -->
            <div class="fan-box">
                <el-scrollbar class="editScroll">
                    <div class="scroll_list">
                        <div
                            class="fan-group"
                            v-for="group in fanGroup"
                            :key="group.groupCode"
                        >
                            <!-- <span>{{group.groupTitle}}</span>
                            :class="
                                    group.fanShipCode.includes(fan)
                                        ? 'flag'
                                        : ''
                                "
                            -->
                            <div
                                class="fan"
                                v-for="fan in group.fanGroupName"
                                :key="fan"
                                :class="
                                    group.fanShipName.includes(fan)
                                        ? 'flag'
                                        : ''
                                "
                            >
                                <div class="icon">
                                    <i
                                        class="icon-fengdianta"
                                        :style="`color:${group.color}`"
                                    ></i>
                                </div>

                                <div class="fan-name">
                                    {{ fan }}
                                </div>
                            </div>
                        </div>
                    </div>
                </el-scrollbar>
            </div>
        </div>
        <div class="content-bottom">
            <div class="table1">
                <div class="table-title">风机组号</div>
                <div class="table-main">
                    <el-scrollbar class="editScroll">
                        <div
                            class="table-arry"
                            v-for="item in fanGroupLeft"
                            :key="item.groupCode"
                        >
                            <div class="arry">{{ item.groupTitle }}</div>
                            <div class="number">
                                <span
                                    v-for="fan in item.fanGroupName"
                                    :key="fan"
                                    :class="
                                        item.fanShipName.includes(fan)
                                            ? 'flag'
                                            : ''
                                    "
                                >
                                    {{ fan }}
                                </span>
                            </div>
                        </div>
                    </el-scrollbar>
                </div>
            </div>
            <div class="table2">
                <div class="table-title">风机组号</div>
                <div class="table-main">
                    <el-scrollbar class="editScroll">
                        <div
                            class="table-arry"
                            v-for="item in fanGroupRight"
                            :key="item.groupCode"
                        >
                            <div class="arry">{{ item.groupTitle }}</div>
                            <div class="number">
                                <span
                                    v-for="fan in item.fanGroupName"
                                    :key="fan"
                                    :class="
                                        item.fanShipName.includes(fan)
                                            ? 'flag'
                                            : ''
                                    "
                                >
                                    {{ fan }}
                                </span>
                            </div>
                        </div>
                    </el-scrollbar>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    name: 'grouping-info',
    data() {
        return {
            data: [],
            fanGroup: [],
            fanGroupLeft: [],
            fanGroupRight: [],
            fanColor: [
                '#247eeb',
                '#25b4be',
                '#02c82d',
                '#ff9c00',
                '#eb4f4f',
                '#5470c6',
                '#91cc75',
                '#fac858',
                '#ee6666',
                '#73c0de',
                '#3ba272',
                '#fc8452',
                '#9a60b4',
                '#ea7ccc',
                '#62daab',
                '#6395f9',
                '#ffe2ee',
                '#ff9ec6',
                '#299999',
                '#ffe2ca',
                '#ff9d4e',
                '#e0d1eb',
                '#9967bd',
                '#d5d0fd',
                '#7666f9',
            ],
        }
    },
    mounted() {
    },
    created() {
        this.initCrewList()
    },
    methods: {
        initCrewList() {
            let query = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                sorter: [{
                    direction: 'ASC',
                    property: 'groupCode'
                }]
            }
            this.$http.post('${cssc}/biz/cqkz/fangroup/v1/query', query).then(
                (resp) => {
                    if (resp.data) {
                        if (resp.data && resp.data.rows) {
                            this.formatFanGroup(resp.data.rows)
                        }
                    }
                },
                (error) => {
                    reject(error)
                }
            )
        },
        formatFanGroup(data) {
            let group10 = data.splice(1, 1)
            data.push(group10[0])
            let halfLength = data.length / 2
            data.forEach((item, index) => {
                let group = item
                group.groupTitle = '第' + (index + 1) + '组'
                group.fanGroup = group.fanGroup.split(',')
                group.fanGroupName = group.fanNameGroup.split(',')
                group.fanShipCode = group.fanShipCode.split(',')
                group.fanShipName = group.fanShipName.split(',')
                group.color = this.fanColor[index]
                this.fanGroup.push(group)
                if (index + 1 <= halfLength) {
                    this.fanGroupLeft.push(group)
                } else {
                    this.fanGroupRight.push(group)
                }
            })
            // console.log(this.fanGroup, this.fanGroupLeft, this.fanGroupRight)
        },
    },
}
</script>
<style lang="scss" scoped>
@import '@/assets/css/element-variables.scss';
.content-top {
  height: 55%;
  margin-bottom: 10px;
  color: #fff;
  border-radius: 5px;
  background-color: rgba($--background-color-secondary, 0.7);
  border: 1px solid $--light-border;
}
.content-bottom {
  width: 100%;
  height: calc(45% - 14px);
  display: flex;
  justify-content: space-between;
}
.header {
  width: calc(100% - 40px);
  height: 35px;
  padding: 10px 20px;
  line-height: 35px;
  display: flex;
  justify-content: space-between;
  div {
    font-size: 14px;
    font-weight: bold;
  }
}
.round {
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  border: 2px solid yellow;
  border-radius: 50%;
  margin-right: 10px;
}
.header-right {
  width: 90px;
  height: 35px;
  display: flex;
}
.fan-box {
  width: 100%;
  height: calc(100% - 55px);
}
.editScroll {
  width: 100%;
  height: 100% !important;
  overflow-x: hidden;
  /deep/ .el-scrollbar__wrap {
    overflow-x: hidden;
  }
}
.scroll_list {
  width: calc(100% - 20px);
  height: 100%;
  margin:0 10px;
  margin-bottom: 20px;
}

.fan-group {
  display: flex;
  align-content: flex-start;
  flex-flow: row wrap;
  width: 100%;
}
.fan{
    width: 80px;
    height: 68px;
    margin: 6px 6px;
    text-align: center;
    flex: 0 0 auto;
}

.icon {
  height: 40px;
  width: 40px;
  margin:2px auto;
  padding: 2px;
  border: 2px solid transparent;
    i{
        font-size: 32px;
        margin-top: 4px;
    }
}
.flag .icon{
    border: 2px solid #f2f404;
    border-radius: 30px;
}
.fan-name{
    color: #ccf2ff;
}

.table1,
.table2 {
  height: 100%;
  width: 50%;
  background: rgba($--background-color-secondary, 0.7);
  border-radius: 5px;
  border: 1px solid $--light-border;
}
.table1 {
  margin-right: 10px;
}
.table-title {
  width: calc(100% - 10px);
  height: 35px;
  color: #fff;
  font-size: 14px;
  line-height: 35px;
  padding-left: 10px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  background-image: linear-gradient(
    to right,
    $--light-border,
    $--background-color-secondary-light
  );
}
.table-main {
  width: 100%;
  height: calc(100% - 35px);
  color: $--color-text;
  :last-child {
    border-bottom: 0px;
  }
}
.table-arry {
  width: 96%;
  height: 60px;
  margin: 4px auto;
  display: flex;
  align-items: center;
  border-bottom: 1px solid $--color-text-placeholder;
}
.arry {
  width: 60px;
  text-align: center;
  font-weight: 700;
  font-size: 14px;
}
.number {
  width: calc(100% - 60px);
  span {
    display: inline-block;
    padding:4px 5px;
  }
  span.flag{
      color: #f2f404;
      border: 1px solid #f2f404;
  }
}
// @media screen and (max-width: 699px) {
//   .scroll_list > div {
//     flex: 0 0 20%;
//   }
// }

// @media screen and (min-width: 700px) {
//   .scroll_list > div {
//     flex: 0 0 20%;
//   }
// }
// @media screen and (min-width: 1000px) {
//   .scroll_list > div {
//     flex: 0 0 10%;
//   }
// }

// @media screen and (min-width: 1500px) {
//   .scroll_list > div {
//     flex: 0 0 10%;
//   }
// }
</style>
